System Requirements

logo_windowslogo_applelogo_linux
  • Windows Vista/Seven/Win8/Win10, Linux, Unix and MacOS X 10.x. and many others.
  • Apache or IIS Web Server. IIS is a standard option of Windows. Apache runs on Windows too.
  • PHP 5.3+ (http://www.php.net)
  • MySQL database server 5.x (http://www.mysql.com)
  • Recent Internet browser with Ajax technology support:
  • Internet Explorer > 8, Firefox > 10, Opera >8 or Safari 2, etc.

 

We provide an installation wizard (all-in-one package) for Windows system. LabCollector LIMS is preferentially an Intranet application, but you can run it on a single computer too (like a Windows Vista or Seven computer) or install it on any web server account, from your institute or from a commercial web hosting providers.

Contact Us if you need assistance!

Current version: 5.25

To manually upgrade, just download and replace files on your LabCollector folder. An upgrade script is provided (upgrade.php). Database structure is updated using the special upgrade script.

Contact Us for assistance or if you have an older version.